xclade
Admin APINotifications

Get a Notification

Retrieve a notification by its ID. You can expand the notification's relations or select the fields that should be returned.

GET
/admin/notifications/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The notification's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/notifications/string"
{
  "notification": {
    "id": "string",
    "to": "string",
    "channel": "email",
    "template": "string",
    "data": {},
    "trigger_type": "order.created",
    "resource_id": "string",
    "resource_type": "order",
    "receiver_id": "string",
    "original_notification_id": "string",
    "external_id": "string",
    "provider_id": "string",
    "created_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}